ChangeSet 1.1287, 2003/12/12 10:18:22-08:00, tchen@on-go.com

[PATCH] USB: fix io_edgeport driver alignment issues.


 drivers/usb/serial/io_fw_boot.h  |    2 +-
 drivers/usb/serial/io_fw_boot2.h |    2 +-
 drivers/usb/serial/io_fw_down.h  |    2 +-
 drivers/usb/serial/io_fw_down2.h |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/serial/io_fw_boot.h b/drivers/usb/serial/io_fw_boot.h
--- a/drivers/usb/serial/io_fw_boot.h	Fri Dec 12 15:05:54 2003
+++ b/drivers/usb/serial/io_fw_boot.h	Fri Dec 12 15:05:54 2003
@@ -17,7 +17,7 @@
 		unsigned short Addr;
 		unsigned short Len;
 		unsigned char  Data[0];
-	};
+	} __attribute__ ((packed));
 
 	struct edge_firmware_version_info {
 		unsigned char	 MajorVersion;
diff -Nru a/drivers/usb/serial/io_fw_boot2.h b/drivers/usb/serial/io_fw_boot2.h
--- a/drivers/usb/serial/io_fw_boot2.h	Fri Dec 12 15:05:54 2003
+++ b/drivers/usb/serial/io_fw_boot2.h	Fri Dec 12 15:05:54 2003
@@ -17,7 +17,7 @@
 		unsigned short Addr;
 		unsigned short Len;
 		unsigned char  Data[0];
-	};
+	} __attribute__ ((packed));
 
 	struct edge_firmware_version_info {
 		unsigned char	 MajorVersion;
diff -Nru a/drivers/usb/serial/io_fw_down.h b/drivers/usb/serial/io_fw_down.h
--- a/drivers/usb/serial/io_fw_down.h	Fri Dec 12 15:05:54 2003
+++ b/drivers/usb/serial/io_fw_down.h	Fri Dec 12 15:05:54 2003
@@ -17,7 +17,7 @@
 		unsigned short	Addr;
 		unsigned short	Len;
 		unsigned char	Data[0];
-	};
+	} __attribute ((packed));
 
 	struct edge_firmware_version_info {
 		unsigned char	MajorVersion;
diff -Nru a/drivers/usb/serial/io_fw_down2.h b/drivers/usb/serial/io_fw_down2.h
--- a/drivers/usb/serial/io_fw_down2.h	Fri Dec 12 15:05:54 2003
+++ b/drivers/usb/serial/io_fw_down2.h	Fri Dec 12 15:05:54 2003
@@ -17,7 +17,7 @@
 		unsigned short Addr;
 		unsigned short Len;
 		unsigned char  Data[0];
-	};
+	} __attribute__ ((packed));
 
 	struct edge_firmware_version_info {
 		unsigned char  MajorVersion;
